1. Live Endpoints
PearlPOS
  • Inbound
    • postMasterdata
      POST
    • postPOSdata
      POST
  • Outbound
    • POSLog XSD
    • POSlog
      POST
  • Live Endpoints
    • getCustomers
      GET
    • getCustomerOrders
      GET
    • verifyDigitalArticle
      GET
    • verifyCustomerReference
      GET
    • purchaseDigitalArticle
      POST
    • getRelatedProducts
      GET
    • getSerialNumberVerification
      GET
    • getAvailableValueCodes
      POST
    • getValueCodes
      GET
    • getStockLevels
      GET
    • lookupPrices
      POST
    • lookupMargins
      POST
  • Schemas
    • TransactionType
    • RetailTransactionType
    • LineItemType
    • TransactionLinkType
    • SaleReturnType
    • RetailPriceModifierType
    • ActionAmountType
    • TaxType
    • CustomerInformationType
    • CustomerOrderType
    • TenderLineItemType
    • TenderType
    • AuthorizationType
    • RoundingType
    • VoidsLineItemType
    • PriceModificationType
    • TenderControlTransactionType
    • TillSettleType
    • TenderSummaryType
    • SummaryAmountType
    • ForeignSummaryAmountType
    • TenderLoanType
    • TenderPickupType
    • TotalsType
    • POSLog
  1. Live Endpoints

getCustomerOrders

GET
/getCustomerOrders
This endpoint shall be implemented by the customer system and called by PearlPOS to search for customer orders.
At least one of CustomerID and CustomerOrderID is always sent. When only CustomerID is sent, return all open orders for the customer. When only CustomerOrderID is sent, return the given order. When both are sent, return the given order only if it belongs to the customer.
When no orders are found, return HTTP 200 with an empty customerOrder array.

Request

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/getCustomerOrders?CustomerID=undefined&CustomerOrderID=undefined&BusinessUnitID=undefined&ZcustomerIDTypeCode=undefined'
Response Response Example
{
    "result": {
        "customerOrder": [
            {
                "customerOrderId": "0005035848",
                "customerOrderTyCo": "ZOR",
                "customer": {
                    "customer": "0006520206",
                    "name": "Customer name AS",
                    "title": "",
                    "street": "Storgata 1",
                    "postCode": "0155",
                    "city": "Oslo",
                    "region": "",
                    "country": "NO",
                    "email": "post@customer.no",
                    "phoneNumber": "+4712345678",
                    "image": "",
                    "creditAmount": 15000,
                    "isCreditCustomer": true,
                    "customerClub": false,
                    "organizationId": "912345678",
                    "discountReasonCodes": []
                },
                "customerOrderLnItem": [
                    {
                        "customerOrderLnItmSeqNo": "000010",
                        "customerOrderProdLnItm": {
                            "itemId": "000000000000221347",
                            "description": "Lamp",
                            "orderedItemQuantity": 1,
                            "saleUnitRetailPriceAmount": 549,
                            "totalRetailPriceAmount": 549
                        },
                        "customerOrderProdPriceMod": [
                            {
                                "reasonCode": "PAID",
                                "amount": 100
                            },
                            {
                                "reasonCode": "PAY_PROPOSAL",
                                "amount": 449
                            },
                            {
                                "reasonCode": "NET",
                                "amount": 439.2
                            }
                        ],
                        "allowGiftReceipt": true
                    },
                    {
                        "customerOrderLnItmSeqNo": "000020",
                        "customerOrderProdLnItm": {
                            "itemId": "000000000000221348",
                            "description": "Light bulb",
                            "orderedItemQuantity": 2,
                            "saleUnitRetailPriceAmount": 49.5,
                            "totalRetailPriceAmount": 99
                        },
                        "customerOrderProdPriceMod": [],
                        "allowGiftReceipt": false
                    }
                ]
            }
        ]
    }
}
Modified at 2026-10-01 07:18:36
Previous
getCustomers
Next
verifyDigitalArticle
Built with